#include <bits/stdc++.h>

using namespace std;

int main()
{
ios::sync_with_stdio(0);cin.tie(0);
long long n,broj=1;
long long hp;
cin>>n>>hp;
vector<long long>h(n);
for(long long i=0;i<n;i++)
{
    cin>>h[i];
}
for(long long i=0;i<n;i++)
{
    if(h[i]>hp)
        broj++;
    else {
        cout<<broj<<'\n';
        break;
    }
}
if(broj>n)
    cout<<-1<<'\n';
    return 0;
}